[Overview][Types][Procedures and functions][Variables][Index] | Reference for unit 'LCLIntf' (#lcl)

# SetScrollPos

Changes the Position of an Scroll Bar slider.

## Declaration

Source position: winapih.inc line 355

`function SetScrollPos(`
`Handle: HWND;`
`nBar: Integer;`
`nPos: Integer;`
`bRedraw: Boolean`
`):Integer;`

## Arguments

`Handle` |  | The Scroll Bar or Window Handle.
`nBar` |  | SB_CTL means a Scroll Bar control.
`nPos` |  | The new Position.
`bRedraw` |  | True forces a repaint.

## Function result

The previous Position, zero if invisible.

## Description

The SetScrollPos function sets the position of the scroll box (thumb) in the specified scroll bar and, if requested, redraws the scroll bar to reflect the new position of the scroll box.

## See also

SetScrollInfo |  |